<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>
    <!-- <div class="text-main">
    <div class="text-group" >-->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="text d-flex bg-none" style="overflow-x: scroll">
        <div
          class="card mr-2 shadow-sm"
          style="min-width: 15rem;"
          template
          v-for="(carousel, index) in content.columns"
          :key="index"
        >
          <img
            class="card-img-top w-100 mx-auto carousel-img"
            :src="carousel.thumbnailImageUrl"
            alt="Card image cap"
          >
          <div class="card-body">
            <strong class="card-title">{{trim(carousel.title)}}</strong>
            <p class="card-text text-muted">{{trim(carousel.text)}}</p>
          </div>
          <ul class="list-group list-group-flush text-center text-info">
            <li
              class="list-group-item"
              style="cursor:pointer"
              v-for="(item,index) in carousel.actions"
              :key="index"
            >{{item.label}}</li>
          </ul>
        </div>
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div> -->
    <!-- </div> -->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
import formatter from "@/helpers/formatter";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  },
  methods: {
    trim(val) {
      return formatter.trimText(val, 40);
    }
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
.card-title {
  font-size: 1rem;
}
.carousel-img {
  height: 150px;
}
</style>
